/api/maintenance/server
get
Get server status
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
limitedstringOptionalDefault:
0Responses
200
success
successbooleanOptionalExample:
trueget/api/maintenance/server
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'limited' => 1
);
$request = array(
'method' => 'GET',
'path' => 'maintenance/server',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"status": {
"php_version": "7.2.17-1+ubuntu14.04.1+deb.sury.org+3",
"php_time": 1565382560,
"php_datetime": "2019-08-09 16:29:20",
"php_timezone": "America/New_York",
"mysql_version": "5.5.62-0ubuntu0.14.04.1",
"mysql_time": "2019-08-09 16:29:20",
"server_software": null,
"server_ip": null,
"server_name": null,
"server_time": "Fri Aug 9 16:29:20 EDT 2019",
"server_timezone": "America/New_York (EDT, -0400)"
}
}Last updated
Was this helpful?